//$Header$
//{149fb278-422e-4dac-8c7a-bcf175ec0120}
//-------------------------------------------------------------------------------------------------
//This file is part of "Embedded Tool Set" (EMTS), a tool set designed to facilitate embedded
//system software and hardware development.
//-------------------------------------------------------------------------------------------------
//This source code and any program in which it is compiled/used is provided under the MIT License,
//reproduced below.
//-------------------------------------------------------------------------------------------------
//Permission is hereby granted, free of charge, to any person obtaining a copy of
//this software and associated documentation files(the "Software"), to deal in the
//Software without restriction, including without limitation the rights to use,
//copy, modify, merge, publish, distribute, sublicense, and / or sell copies of the
//Software, and to permit persons to whom the Software is furnished to do so,
//subject to the following conditions:
//
//The above copyright notice and this permission notice shall be included in all
//copies or substantial portions of the Software.
//
//THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.IN NO EVENT SHALL THE
//AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
//SOFTWARE.
//-------------------------------------------------------------------------------------------------
#ifndef EMTS_H_INCLUDED
   #define EMTS_H_INCLUDED

   //If the console line length hasn't been defined on the command line, set it to a reasonable
   //default.
   #ifndef K_EMTS_CFG_CON_MODE_LINE_LEN
      #define K_EMTS_CFG_CON_MODE_LINE_LEN  (78)
         //For console mode programs, maximum line length to avoid aesthetic (but not logical)
         //issues.
   #endif
#endif

//End of emts.h.
